## org.apache.poi.xslf.usermodel
Enum LineCap

    java.lang.Object
      java.lang.Enum<LineCap>
          org.apache.poi.xslf.usermodel.LineCap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LineCap>

    public enum LineCap

extends java.lang.Enum<LineCap>

Author:
  Yegor Kozlov

Enum Constant Summary
`FLAT` Line ends at end point
`ROUND` Rounded ends
`SQUARE` Square protrudes by half line width

Method Summary
`static LineCap` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LineCap[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROUND

    public static final LineCap ROUND

  Rounded ends

### SQUARE

    public static final LineCap SQUARE

  Square protrudes by half line width

### FLAT

    public static final LineCap FLAT

  Line ends at end point

Method Detail

### values

    public static LineCap[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LineCap c : LineCap.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LineCap valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.